MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026195Open CASCADE[OCCT] OCCT:Visualizationpublic2015-05-07 10:432019-01-21 15:48
Reporterdbp 
Assigned Tobugmaster 
PrioritynormalSeverityfeature 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026195: Visualization - optimize selection algorithms
DescriptionCurrent implementation of selection algorithms has some inefficiencies which can lead to performance degradation.

1) Select3D_SensitiveTriangulation::overlapsElement(...) performs transformation of every triangle in the set. Instead of this, it is necessary to transform frustum (only once) before processing triangles set.

2) Frustum construction is inefficient. For example, in the SelectMgr_RectangularFrustum::Build(...) method, frustum normals are computed, and after that frustum edges are computed. Therefore, edges are computed twice. It is better to compute edges and use them for computation of normals. Another point is the use of

  SelectMgr_Vec3 aDimensions[3] =
  {
    SelectMgr_Vec3 (1.0, 0.0, 0.0),
    SelectMgr_Vec3 (0.0, 1.0, 0.0),
    SelectMgr_Vec3 (0.0, 0.0, 1.0)
  };

.....

  for (Standard_Integer aVertIdx = 0; aVertIdx < 8; ++aVertIdx)
  {
    Standard_Real aProjection = DOT (aDimensions[aDim], myVertices[aVertIdx]);
    aMax = Max (aProjection, aMax);
    aMin = Min (aProjection, aMin);
  }

This code is overkilled because in this case:

  DOT (aDimensions[aDim], myVertices[aVertIdx]) == myVertices[aVertIdx][aDim]

Projecting frustum on plane normals is also inefficient:

  for (Standard_Integer aPlaneIdx = 0; aPlaneIdx < 6; ++aPlaneIdx)
  {
    Standard_Real aMax = -DBL_MAX;
    Standard_Real aMin = DBL_MAX;
    const SelectMgr_Vec3 aPlane = myPlanes[aPlaneIdx];
    for (Standard_Integer aVertIdx = 0; aVertIdx < 8; ++aVertIdx)
    {
      Standard_Real aProjection = DOT (aPlane, myVertices[aVertIdx]);
      aMax = Max (aMax, aProjection);
      aMin = Min (aMin, aProjection);
    }
    myMaxVertsProjections[aPlaneIdx] = aMax;
    myMinVertsProjections[aPlaneIdx] = aMin;
  }

In case of ortho frustum checking all 6 normals is redundant. Moreover, instead of projecting all 8 vertices we can use only 2 vertices which lie on appropriate diagonal of the box.

3) In SelectMgr_RectangularFrustum::Build (const gp_Pnt2d &thePoint) and SelectMgr_RectangularFrustum::Build (const gp_Pnt2d& theMinPnt, const gp_Pnt2d& theMaxPnt) the code is duplicated. Please redesign it to share common build function.

4) The above remaks also applicable to SelectMgr_RectangularFrustum::Transform (const gp_Trsf& theTrsf). This method also uses redundant SelectMgr_Vec3 aDimensions[3] and computes normals before edges.

5) Another point in SelectMgr_RectangularFrustum::Transform(...) is related to normal computation. It is not necessary to re-compute them from scratch. You simply need to transform normals into new space. Please note, that normals are transformed with inversed transposed matrix. These optimization are very important because frustum transformatioans are used widely. Please check current performance of this method and its performance after optimizations (e.g., by calling this single method 1000 000 times). Please check another possible performance issues by using profiler.

6) Remove macroses like DISTANCE (...), DOT(...) and use member fucntions of SelectMgr_Vec3 class.

7) Revise a set of SelectMgr_RectangularFrustum::Overlaps(...) methods. Some of them look redundant, and some of them are not compatible. E.g.
  
  Overlaps (const SelectMgr_Vec3& theBoxMin,
            const SelectMgr_Vec3& theBoxMax,
            Standard_Boolean* theInside)

  Overlaps (const BVH_Box<Standard_Real, 3>& theBox,
            Standard_Real& theDepth)

The following method should have analog without theDepth parameter (can be used in many cases):

   Overlaps (const gp_Pnt& thePnt,
             Standard_Real& theDepth)

8) Consider the use of BVH binned builder only along main axis in Select3D_SensitiveSet. And is absolutely necessary to decrease a number of bins in both Select3D_SensitiveSet and SelectMgr_SensitiveEntitySet. Consider 4-8 bins per node. Compare performance and build times.

9) Use NCollection_IndexedMap::Swap method instead of its emulation via 3 Substitute() methods.

10) Switch from double tolerances to integer pixel tolerance and eliminate dependence from type of sensitive entity in frustum cache map in SelectMgr_ViewerSelector.
Steps To Reproducenot needed
TagsNo tags attached.
Test case numberNot needed
Attached Filesxls file icon selection_perf_comparison.xls (20,992 bytes) 2015-08-28 19:31

- Relationships
related to 0026139closedabv Community AIS_InteractiveContext::Display performance regression 
related to 0026364closedbugmaster Open CASCADE Foundation Classes, TKMath - Optimize BVH binned algorithm 
parent of 0030452verifiedbugmaster Open CASCADE Visualization - SelectMgr_ViewerSelector::Deactivate() raises exception when called twice 

-  Notes
(0042354)
dbp (developer)
2015-06-23 14:25

Dear vpa,

please rebase your patch on 26364. It should solve remaining performance issues.
(0044365)
git (administrator)
2015-08-17 20:26

Branch CR26195 has been created by vpa.

SHA-1: 5dfc43308a6314763f356ff01ff25c7f5e803f4c


Detailed log of new commits:

Author: vpa
Date: Mon Aug 17 20:25:43 2015 +0300

    Refactoring of triangular and rectangular frustum build procedure:
    - DOT/DOTp/DISTANCEp macros were eliminated;
    - normals calculation uses previously calculated edges;
    - added vertex projection calculation using closest diagonal;
    - common calculations were moved to separate functions;
    - Scale and Transform methods were replaced by single ScaleAndTransform.
(0044491)
git (administrator)
2015-08-20 18:12

Branch CR26195 has been updated by vpa.

SHA-1: cb47d96a4ba65322ddfcb51d6f88fc65d57bea8f


Detailed log of new commits:

Author: vpa
Date: Thu Aug 20 18:12:03 2015 +0300

    Switch to integer pixel tolerances, part 1

Author: vpa
Date: Thu Aug 20 17:57:33 2015 +0300

    Corrected vertex projection for orthographic case;
    3 substitute operations were replaced by single swap.

(0044521)
git (administrator)
2015-08-21 19:48

Branch CR26195 has been updated by vpa.

SHA-1: c3584394b870529d82d2ca1b008fc9c752c83ce4


Detailed log of new commits:

Author: vpa
Date: Fri Aug 21 19:48:12 2015 +0300

    Switch to integer tolerances, part 2;
    Added debug function to draw selecting frustum and display picked point data

(0044631)
git (administrator)
2015-08-25 17:58

Branch CR26195 has been updated by vpa.

SHA-1: 723f97dcfb246bd2a66ea6ce347fb87eb9362985


Detailed log of new commits:

Author: vpa
Date: Tue Aug 25 17:42:46 2015 +0300

    SelectMgr_SelectableObjectSet BVH builder now splits only along main axis

Author: vpa
Date: Tue Aug 25 17:38:59 2015 +0300

    Switch to gp points and vectors instead of NCollection_Vec3 to eliminate macros and simplify calculations

Author: vpa
Date: Mon Aug 24 18:28:47 2015 +0300

    Unnecessary loop in SelectMgr_Frustum::hasOverlap for AABB was eliminated;
    Removed comparison in SelectMgr_Frustum::hasOverlap for planar convex polygin

(0044689)
git (administrator)
2015-08-26 19:34

Branch CR26195 has been updated by vpa.

SHA-1: f11de75889c7297b134de58e7e1a9fb1328971d7


Detailed log of new commits:

Author: vpa
Date: Wed Aug 26 19:34:14 2015 +0300

    Draft implementation of inilial location transformation application at SelectMgr_ViewerSelector level

Author: vpa
Date: Wed Aug 26 16:07:59 2015 +0300

    Refactoring of Overlaps methods

(0044711)
git (administrator)
2015-08-27 12:00

Branch CR26195 has been updated by vpa.

SHA-1: 1ae956e61383a1260a0bd0d6501723125ed81b1f


Detailed log of new commits:

Author: vpa
Date: Thu Aug 27 12:00:07 2015 +0300

    Error with transformation is fixed

(0044773)
git (administrator)
2015-08-27 21:53

Branch CR26195 has been updated forcibly by vpa.

SHA-1: dc036e42bd59ea242738a3d1c271e6d47e1d3938
(0044807)
git (administrator)
2015-08-28 15:17

Branch CR26195 has been updated by vpa.

SHA-1: 1737a759ac53b470eac54c8c1be21c5dfdfc6362


Detailed log of new commits:

Author: vpa
Date: Fri Aug 28 15:17:49 2015 +0300

    Added possibility to parallelize 2nd level BVH tree build;
    Removed unnecessary variables from 1st and 2nd level BVH data sets

(0044827)
git (administrator)
2015-08-28 15:57

Branch CR26195 has been updated forcibly by vpa.

SHA-1: 921d0d3f8ed5f81fe8276c04addf670a28342d02
(0044835)
git (administrator)
2015-08-28 16:34

Branch CR26195 has been updated forcibly by vpa.

SHA-1: 3c2129f4be2c8418e16dec7e566a6264d92a17fd
(0044837)
git (administrator)
2015-08-28 16:50

Branch CR26195_1 has been created by vpa.

SHA-1: 47e0dc7b8ace30c80e8ec0a01f2e2a55aab403e4


Detailed log of new commits:

Author: vpa
Date: Fri Aug 28 16:46:15 2015 +0300

    0026195: Visualization - optimize selection algorithms
    
    - initial transformation of triangulation is now applied to selecting frustum;
    - switched from NCollection_Vec3 to gp collections to avoid conversions and usage of macros;
    - calculation of frustum was refactored to reduce its build time;
    - double pixel tolerances for selection were replaced by integer ones;
    - switched to splitting along the main axis only in SelectMgr BVH selection primitive sets.
(0044838)
git (administrator)
2015-08-28 17:01

Branch CR26195 has been updated by vpa.

SHA-1: 92059e2cb4f3d6333b93ff3932ad330649bd8f7e


Detailed log of new commits:

Author: vpa
Date: Fri Aug 28 17:01:43 2015 +0300

    Missing comments were added

(0044839)
git (administrator)
2015-08-28 17:03

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: 7e992703e78dd4d866dac04d02e71dfc95829222
(0044840)
vpa (developer)
2015-08-28 17:04

Dear Danila,

could you please take a look at patch in branch CR26195_1?
(0044847)
git (administrator)
2015-08-28 18:58

Branch CR26195 has been updated by vpa.

SHA-1: 83756591f7792c5382dd0e129c568b5757cc0a70


Detailed log of new commits:

Author: vpa
Date: Fri Aug 28 18:58:26 2015 +0300

    Remarks from DUV

(0044849)
git (administrator)
2015-08-28 19:11

Branch CR26195 has been updated forcibly by vpa.

SHA-1: af46e1f85debae15eefabce9674a826060b8543c
(0044854)
git (administrator)
2015-08-28 20:47

Branch CR26195 has been updated by vpa.

SHA-1: 4909593b960842f8986558d3a5a0338e4687f9c3


Detailed log of new commits:

Author: vpa
Date: Fri Aug 28 20:44:43 2015 +0300

    Regressions were fixed

(0044855)
git (administrator)
2015-08-28 20:55

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: f069c01d3834e53c83c371673e5c6178a81c5591
(0044858)
git (administrator)
2015-08-30 22:35

Branch CR26195 has been updated by vpa.

SHA-1: 983934e8d1edcac692aaf14bf54c2f1aa23cb343


Detailed log of new commits:

Author: vpa
Date: Sun Aug 30 22:17:59 2015 +0300

    Type-cast corrected

(0044859)
git (administrator)
2015-08-31 00:04

Branch CR26195 has been updated by vpa.

SHA-1: 6cc3fbc028cca244fd3cdd45281fcc4ef92440f6


Detailed log of new commits:

Author: vpa
Date: Mon Aug 31 00:04:37 2015 +0300

    Debug function was improved

(0044860)
git (administrator)
2015-08-31 00:09

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: cb85113ec45b2ab4384c545d136278eeeed630c7
(0044862)
git (administrator)
2015-08-31 01:32

Branch CR26195 has been updated by vpa.

SHA-1: 2c7fbc1a46c257b9b226234544440127668758da


Detailed log of new commits:

Author: vpa
Date: Mon Aug 31 01:32:31 2015 +0300

    Cosmetics

(0044863)
git (administrator)
2015-08-31 01:35

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: b4b5624a692987b897c2fb66dbb76916a7a45577
(0044868)
git (administrator)
2015-08-31 10:29

Branch CR26195 has been updated forcibly by vpa.

SHA-1: 9e7d10ca191a05feabe03a49ad271b4050914aef
(0044869)
git (administrator)
2015-08-31 10:30

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: 1f24ea8f0f2440a2d78cabea54ae6b02c4d43331
(0044909)
vpa (developer)
2015-08-31 18:25

Dear Kirill,

please review patch in branch CR26195.
Performance tests results are in attached file selection_perf_comparison.xls. Please note that there is a regression in comparison of display times on test case with fine-tessellated MeshVS mesh. Such timings are more likely caused by performance of compute part; 2nd level BVH build time shows performance boost in comparison to v6.9.0.
(0044938)
kgv (developer)
2015-09-01 15:22

Dear Varvara,

+
+    //! Returns a const ptr to coordinates location.
+    //! Is useful for algorithms, but DOES NOT PERFORM
+    //! ANY CHECKS!
+    operator const Standard_Real*() const { return (&x); }
+
+    //! Returns a ptr to coordinates location.
+    //! Is useful for algorithms, but DOES NOT PERFORM
+    //! ANY CHECKS!
+    operator Standard_Real*()             { return (&x); }

please replace these operators with named methods (like Coords() or GetData()/ChangeData()).
(0045020)
git (administrator)
2015-09-03 17:24

Branch CR26195_2 has been created by vpa.

SHA-1: 6e7d32067f79678005ba09c5f2162f47c368d123


Detailed log of new commits:

Author: vpa
Date: Mon Aug 31 00:07:01 2015 +0300

    0026195: Visualization - optimize selection algorithms
    
    - initial transformation of triangulation is now applied to selecting frustum;
    - switched from NCollection_Vec3 to gp collections to avoid conversions and usage of macros;
    - calculation of frustum was refactored to reduce its build time;
    - double pixel tolerances for selection were replaced by integer ones;
    - switched to splitting along the main axis only in SelectMgr BVH selection primitive sets.
(0045024)
git (administrator)
2015-09-03 17:57

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: 5ec4cf49bf4a1580492c501fc5030434c0ac3510
(0045027)
git (administrator)
2015-09-03 18:27

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: 9735f11eddd176c7eec594866c1eb7739c13876a
(0045030)
git (administrator)
2015-09-03 18:55

Branch CR26195_2 has been updated forcibly by vpa.

SHA-1: b8a9ebaed110dfd1a7e6232db201c88fc6c7368e
(0045031)
vpa (developer)
2015-09-03 18:57

Dear Kirill,

branch CR26195_1 was updated according to your remarks. Please, review.
Note that branch CR26195_2 is ported for integration to v6.9.1.
(0045032)
git (administrator)
2015-09-03 19:09

Branch CR26195_1 has been updated forcibly by vpa.

SHA-1: 8ac63f5578b529b6d8af670544ff0d8f2348157f
(0045034)
git (administrator)
2015-09-03 19:10

Branch CR26195_2 has been updated forcibly by vpa.

SHA-1: a1d33179e2d1e615f968c1223598fa5ffeb699f6
(0045035)
kgv (developer)
2015-09-03 19:12

Please test patch in branch CR26195_1.
(0045079)
git (administrator)
2015-09-04 15:47

Branch CR26195_1 has been updated forcibly by apv.

SHA-1: 8da0f843a3300ed42b742fd44fa49d860d54277c
(0045080)
apv (tester)
2015-09-04 15:47

Branch CR26195_1 has been rebased on the current master
(0045140)
apv (tester)
2015-09-07 15:10

Dear BugMaster,

Branch CR26195_1 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 8da0f843a3300ed42b742fd44fa49d860d54277c

Number of compiler warnings:
occt component:
   Linux: 15 (15 on master)
   Windows: 0 (0 on master)
products component :
   Linux: 39 (39 on master)
   Windows: 0 (0 on master)

Regressions/Differences:
Not detected

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 91284324 / 91941125 [-0.71%]
Total CPU difference: 17719.189999998875 / 17715.669999998972 [+0.02%]

Testing on Windows:
Total MEMORY difference: 57157329 / 57146693 [+0.02%]
Total CPU difference: 16407.249173999135 / 16584.80951219933 [-1.07%]
(0046919)
git (administrator)
2015-10-16 16:23

Branch CR26195_1 has been deleted by kgv.

SHA-1: 8da0f843a3300ed42b742fd44fa49d860d54277c
(0046920)
git (administrator)
2015-10-16 16:23

Branch CR26195_2 has been deleted by kgv.

SHA-1: a1d33179e2d1e615f968c1223598fa5ffeb699f6
(0046970)
git (administrator)
2015-10-16 16:37

Branch CR26195 has been deleted by kgv.

SHA-1: 9e7d10ca191a05feabe03a49ad271b4050914aef

- Related Changesets
occt: master 3bf9a45f
Timestamp: 2015-08-31 07:29:53
Author: vpa
Committer: bugmaster
Details ] Diff ]
0026195: Visualization - optimize selection algorithms

- initial transformation of triangulation is now applied to selecting frustum;
- switched from NCollection_Vec3 to gp collections to avoid conversions and usage of macros;
- calculation of frustum was refactored to reduce its build time;
- double pixel tolerances for selection were replaced by integer ones;
- switched to splitting along the main axis only in SelectMgr BVH selection primitive sets.
mod - src/AIS/AIS_InteractiveContext.cxx Diff ] File ]
mod - src/AIS/AIS_InteractiveContext.hxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.cxx Diff ] File ]
mod - src/AIS/AIS_LocalContext.hxx Diff ] File ]
mod - src/gp/gp_XYZ.hxx Diff ] File ]
mod - src/MeshVS/MeshVS_DummySensitiveEntity.cxx Diff ] File ]
mod - src/MeshVS/MeshVS_DummySensitiveEntity.hxx Diff ] File ]
mod - src/QABugs/QABugs_19.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveBox.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCircle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveCurve.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveEntity.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoint.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitivePoly.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangle.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.cxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.hxx Diff ] File ]
mod - src/Select3D/Select3D_SensitiveTriangulation.lxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.cxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.hxx Diff ] File ]
mod - src/SelectBasics/SelectBasics_SensitiveEntity.lxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_BaseFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Frustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Frustum.lxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_FrustumBuilder.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_FrustumBuilder.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_RectangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObjectSet.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectableObjectSet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SelectingVolumeManager.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_Selection.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntitySet.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_SensitiveEntitySet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustum.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustum.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_TriangularFrustumSet.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.cxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.hxx Diff ] File ]
mod - src/SelectMgr/SelectMgr_ViewerSelector.lxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.cxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.hxx Diff ] File ]
mod - src/StdSelect/StdSelect_ViewerSelector3d.lxx Diff ] File ]
mod - src/ViewerTest/ViewerTest.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-05-07 10:43 dbp New Issue
2015-05-07 10:43 dbp Assigned To => kgv
2015-05-07 10:43 dbp Description Updated View Revisions
2015-05-07 11:51 kgv Assigned To kgv => vpa
2015-05-07 11:51 kgv Severity minor => feature
2015-05-07 11:51 kgv Status new => assigned
2015-05-07 11:53 kgv Relationship added related to 0026139
2015-05-07 12:43 bugmaster Project Community => Open CASCADE
2015-05-13 10:12 dbp Description Updated View Revisions
2015-06-23 14:08 dbp Relationship added related to 0026364
2015-06-23 14:25 dbp Note Added: 0042354
2015-08-11 17:46 vpa Description Updated View Revisions
2015-08-12 10:45 kgv Target Version 7.1.0 => 7.0.0
2015-08-12 10:45 kgv Summary Visaulization - Optimize selection algrotihms => Visualization - optimize selection algrotihms
2015-08-12 11:10 vpa Relationship added related to 0026462
2015-08-17 20:26 git Note Added: 0044365
2015-08-20 18:12 git Note Added: 0044491
2015-08-21 19:48 git Note Added: 0044521
2015-08-25 17:58 git Note Added: 0044631
2015-08-26 19:34 git Note Added: 0044689
2015-08-27 12:00 git Note Added: 0044711
2015-08-27 21:53 git Note Added: 0044773
2015-08-28 15:17 git Note Added: 0044807
2015-08-28 15:57 git Note Added: 0044827
2015-08-28 16:34 git Note Added: 0044835
2015-08-28 16:41 vpa Summary Visualization - optimize selection algrotihms => Visualization - optimize selection algorithms
2015-08-28 16:50 git Note Added: 0044837
2015-08-28 17:01 git Note Added: 0044838
2015-08-28 17:03 git Note Added: 0044839
2015-08-28 17:04 vpa Note Added: 0044840
2015-08-28 17:04 vpa Assigned To vpa => duv
2015-08-28 17:04 vpa Status assigned => feedback
2015-08-28 18:58 git Note Added: 0044847
2015-08-28 19:11 git Note Added: 0044849
2015-08-28 19:27 vpa File Added: selection_perf_comparison.xls
2015-08-28 19:31 vpa File Deleted: selection_perf_comparison.xls
2015-08-28 19:31 vpa File Added: selection_perf_comparison.xls
2015-08-28 20:47 git Note Added: 0044854
2015-08-28 20:55 git Note Added: 0044855
2015-08-30 22:35 git Note Added: 0044858
2015-08-31 00:04 git Note Added: 0044859
2015-08-31 00:09 git Note Added: 0044860
2015-08-31 01:32 git Note Added: 0044862
2015-08-31 01:35 git Note Added: 0044863
2015-08-31 10:29 git Note Added: 0044868
2015-08-31 10:30 git Note Added: 0044869
2015-08-31 18:25 vpa Note Added: 0044909
2015-08-31 18:25 vpa Assigned To duv => kgv
2015-08-31 18:25 vpa Status feedback => resolved
2015-08-31 18:25 vpa Steps to Reproduce Updated View Revisions
2015-09-01 15:22 kgv Note Added: 0044938
2015-09-01 15:22 kgv Assigned To kgv => vpa
2015-09-01 15:22 kgv Status resolved => assigned
2015-09-03 17:24 git Note Added: 0045020
2015-09-03 17:57 git Note Added: 0045024
2015-09-03 18:27 git Note Added: 0045027
2015-09-03 18:55 git Note Added: 0045030
2015-09-03 18:57 vpa Note Added: 0045031
2015-09-03 18:57 vpa Assigned To vpa => kgv
2015-09-03 18:57 vpa Status assigned => resolved
2015-09-03 19:09 git Note Added: 0045032
2015-09-03 19:10 git Note Added: 0045034
2015-09-03 19:12 kgv Note Added: 0045035
2015-09-03 19:12 kgv Assigned To kgv => bugmaster
2015-09-03 19:12 kgv Status resolved => reviewed
2015-09-03 20:00 vpa Target Version 7.0.0 => 6.9.1
2015-09-04 14:05 apv Assigned To bugmaster => apv
2015-09-04 15:47 git Note Added: 0045079
2015-09-04 15:47 apv Note Added: 0045080
2015-09-07 15:07 apv Test case number => Not needed
2015-09-07 15:10 apv Note Added: 0045140
2015-09-07 15:10 apv Assigned To apv => bugmaster
2015-09-07 15:10 apv Status reviewed => tested
2015-09-11 14:09 bugmaster Changeset attached => occt master 3bf9a45f
2015-09-11 14:09 bugmaster Status tested => verified
2015-09-11 14:09 bugmaster Resolution open => fixed
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:23 git Note Added: 0046919
2015-10-16 16:23 git Note Added: 0046920
2015-10-16 16:37 git Note Added: 0046970
2015-10-23 20:50 aiv Fixed in Version => 6.9.1
2019-01-21 15:48 kgv Relationship added parent of 0030452


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker